package cn.superdesk.uniorder.common.enums.lnss;

import java.util.EnumSet;
import java.util.HashMap;
import java.util.Map;

/**
 * @author kite
 * @version 1.0
 * @date 2019/8/24
 */
public enum RemarkTypeEnum {
    CONFIRM(1,"确认信息"),

    CANCEL(2,"取消信息"),


    ;

    private Integer key;
    private String desc;

    RemarkTypeEnum(int key, String desc) {
        this.key = key;
        this.desc = desc;
    }

    public int getKey() {
        return key;
    }

    public String getDesc() {
        return desc;
    }

    public static String getDesc(int key) {
        for (RemarkTypeEnum c : RemarkTypeEnum.values()) {
            if (c.key == key) {
                return c.getDesc();
            }
        }
        return null;
    }

    private static final Map<Integer, RemarkTypeEnum> LOOKUP = new HashMap<>();

    static {
        for(RemarkTypeEnum s : EnumSet.allOf(RemarkTypeEnum.class)) {
            LOOKUP.put(s.getKey(), s);
        }
    }

    /**
     * 方向查找枚举类
     * @param key
     * @return
     */
    public static RemarkTypeEnum get(Integer key) {
        return LOOKUP.get(key);
    }
}
